Subject: RE: zeroconf security - conclusions

From: "Rose, William" <[email-masked]>
Date: Wed, 17 May 2000 11:02:24 -0400

I agree that all of the protocols I am aware of that use RF or powerline
(excluding X10) include encryption and at least the controls also include
authentication but I believe there were other issues of security listed as
well such as traffic analysis, etc. Also, assuming the "perpetrator" uses a
device with the same chipset as the in-home devices, then the device would
know the encryption method being used. How then does the network 'know' that
this device should not be a member of the home network unless some sort of
configuration step is taken by the homeowner? With the control protocols
such as LonWorks and CEBus, a configuration step is required to 'bind' a
device to the network. At a minimum, a button is pressed on both devices to
make the logical connection. 

WRT requiring configuration, it seems the real requirement is zeroconfig
(minimum config?) for the customer. Certainly if there is a outside
connection to the network, a simple phone call to a service provider (the
manufacturer, ISP, etc.) with configuration over the connection could pass
the "mom" test. The call could even be handled by voice recognition or
through the phone keypad to avoid the cost of a human on the other end.
(Just an idea).

Bill Rose
Leviton Mfg. 
Chair, CEA Home Networking Committee

> -----Original Message-----
> From: Richard Johnson [mailto:[email-masked]]
> Sent: Tuesday, May 16, 2000 9:00 PM
> To: Thomas Narten
> Cc: Walker, Jesse; 'Erik Guttman'; [email-masked]
> Subject: Re: zeroconf security - conclusions 
> 
> 
> Thomas Narten writes:
>  > I agree that wireless will change the rules. But I believe the two
>  > cases are still somewhat different. With wireless LANs, targetted
>  > attacks from folks physically nearby become feasible. But this is a
>  > different kind of threat and in many (most?) cases won't be a
>  > problem. But it likely will be enough of a problem in 
> specific cases
>  > that just ignoring it isn't acceptable.
> 
> I'm beginning to think that wireless networks shouldn't really change
> things wrt. zeroconf.  I understand this is a radical change from the
> prevailing opinion here, so let me explain.
> 
> Sniffing packets as well as injecting packets by simply being "close
> by", simply because you're using a wireless LAN, is very similar
> to plugging a computer directly into the physical LAN.  This means
> that for all practical purposes having a wireless LAN card allows
> you all of the same privileges as being inside the building!  This
> is exactly why wireless companies have already come up with WEP
> (Wired Equivalent Privacy) and other types of encryption.  By
> addressing the wireless need for encryption at the lowest layer,
> it means that all layers above that are automatically taken care
> of.
> 
> That is, assuming you believe that the low layer encryption on the
> wireless LAN is "good enough".  If you don't, then you have an
> argument for a better encryption method on wireless LANs (and thus a
> market).
> 
> This statement in no way should be taken as meaning that I believe
> security is not needed.  Just that wireless LANs don't, by themselves,
> necessitate security in the protocols involved.
> 
> /raj
>